/* target_version.h:
 * 0->1:  Major cleanup and improvement of original port...
 *		   - faster startup
 *		   - exceptions understood (a bit more)
 *		   - i-cache on, but still shakey
 *		   - etc, etc...
 * 1->2:   Fixed the flash driver.
 * 2->3:   Enabled cache functions and HW timer.
 * 3->4:   Turned i-cache back off (don't really need it).
 * 4->5:   Enabled optimization and gave TFS two more sectors.
 * 5->6:   Reworked the phy init code so that it deals 100BaseT, plus it
 *         now properly detects removal/reinsertion of the cable.
 * 6->7:   Added I-Squared-C, fixed enableBroadcastReception(void) bug.
 * 7->8:   Fixed bug in icache_on() function, plus added cycles.S to source.
 * 8->9:   Increased size of ethernet transmit buffer to 1560.
 * 9->10:  Added support for time-of-day (i.e. date command)
 * 10->11: Few things...
 *         - The ethernet driver can now be configured to use hard-coded
 *           addresses (or normal allocated buffers in C) for descriptor
 *           tables and buffers (refer to top of etherdev.c).  As of this
 *           version, config.h defaults to put ethernet buffers and descriptor
 *           tables in L1 data ram.
 *         - Improved/fixed the icache_on() and dcache_on() functions.
 *         - Added a new "bfin dmax" command that allows the user to
 *           do a dma transfer from the command line; hence, copying
 *           instructions from SDRAM to L1-instruction space can be done
 *           easily.
 *         - Eliminated a few of the useless "bfin-xxx" subcommands.
 * 11->12: Few things...
 *		   - Got i2cRead "repeated start" working (i2c -wxx read addr len).
 * 		   - Added support for loading into L1 instruction SRAM (using DMA)
 *			 using TFS.
 * 12->13: Fixed a bug in the bfinrtc (real time clock) code.
 * 13->14: The polletherdev() function was not reentrant (now it is).
 *         Changed to using external memory for ethernet descriptors and
 *         the associated buffrers.  Also doubled the number of receive 
 *         buffers.
 *         After much discussion with Analog Devices processor tech support,
 *         it appears that there is no HW support to detect (or avoid) 
 *         the DMA engine filling up (and overflowing) the circular queue of
 *         input receive buffers (pointed to by the buffer descriptors).
 *         As a result, it is possible to drop packets and not even be aware
 *         of it.  I've tried to handle this case as best as is possible;
 *         however, it can always fail if a large burst of packets come in
 *         between calls to polletherdev(). 
 * 14->15: Made a new port for the phyCore-BF537 Single Board Computer
 *         based on the BF537 port.
 *		   Added support for TFS loader decompression into L1 Ispace.
 *		   DMA-based UART reception is now in place for the console.
 * 15->16: Added more registers to exception handler, plus DAG registers
 *         are now cleared at reset.
 */
#define TARGET_VERSION 16
