// board specific defines for micro monitor
#define DEFAULT_BAUD_RATE   	38400
#define MON_CPU_CLOCK       	184320000

#define LOOPS_PER_USEC			10

#define MCK						MON_CPU_CLOCK/4

#define SDRAM_BASE				0x20000000
#define SRAM_BASE				0x00200000

// ps2 keyboard/mouse controller
#define PS2_BASE				0x40000000		// CS3
#define PS2_REG(_x_)  			*(vuchar *)(PS2_BASE + (_x_ * PS2_STEP))
#define PS2_STEP				4				// 32-bit boundry
#define PS2_TIMEOUT				1000000
#define PS2_DEBUG

// SM501 Video Controller
#define SM_BASE					0x30000000		// CS2
#define SM_REG(_x_)  			*(vushort *)(SM_BASE + 0x03e00000 + _x_)	// Register Space accesses
#define SM_FB(_x_)  			*(vushort *)(SM_BASE + _x_)	// Frame Buffer accesses
