/* Modified by Technology Rescue
 * 12.03.2003 : Added ffx functions.
 * 14.04.2003 : Added i2c functions.
 * 06.06.2003 : Added jump_kernel func.
 * 25.11.2003 : Added read_param and write_param funcs.
 *
 * Version 2.1
 * 26.04.2004 : added mmc function.
 * 02.05.2004 : added fs function.
 */

/* extcmdtbl.h: */
/* This file must exist even if it is empty because it is #included in the */
/* common file cmdtbl.c.  The purpose is to keep the common comand table   */
/* file (common/cmdtbl.c) from being corrupted with non-generic commands   */
/* that may be target specific. */
/* It is the entry in the command table representing the new command being */
/* added to the cmdtbl[] array. */
/* For example:
    "dummy",    dummycmd,   dummyHelp,
*/
{"ps2_tst",			ps2_tst,			ps2Help,},
{"lcd_tst",			lcd_tst,			lcd_tstHelp,},
{"eth_tst",			eth_tst,			eth_tstHelp,},

#if INCLUDE_I2C
{"i2c",				I2cCmd,				I2cHelp, 0},
#if INCLUDE_DS1307
{"date",			date,				dateHelp, 0},
#if INCLUDE_ETHERNET
{"write_param",		write_param,		write_paramHelp, 0},
{"read_param",		read_param,			read_paramHelp, 0},
#endif
#endif
#endif

#if INCLUDE_MMC
{"mmc",				MmcCmd,				mmcHelp, 0},
#endif
#if INCLUDE_MMC
{"fs",				FsCmd,				fsHelp, 0},
#endif
{"jump_kernel",		jump_kernel,		jump_kernelHelp, 0},
{"boot_kernel",		boot_kernel,		boot_kernelHelp, 0},
{"flash_kernel",	flash_kernel,		flash_kernelHelp, 0},
{"ldatags",			ldatags,			ldatagsHelp, 0},
