/* cpu.h:
 *
 *	General notice:
 *	This code is part of a boot-monitor package developed as a generic base
 *	platform for embedded system designs.  As such, it is likely to be
 *	distributed to various projects beyond the control of the original
 *	author.  Please notify the author of any enhancements made or bugs found
 *	so that all may benefit from the changes.  In addition, notification back
 *	to the author will allow the new user to pick up changes that may have
 *	been made by other users after this version of the code was distributed.
 *
 *	Author:	Torsten Tetz, Bosch Security Systems
 */
#ifndef __CPU_H
#define __CPU_H

/* RESETFUNC is needed by the flashdriver to reset uMon after 
 * the download of a new image to the portion of flash that contains
 * the boot monitor. 
 */
#define RESETFUNC()	((void(*)()) FLASH_BANK0_BASE_ADDR)()

/* Block Bit (BL) of the SR register. Needed for exception handling. */
#define	SR_BLOCKBIT	0x10000000

#endif	/* __CPU_H */

